%define upstream_name    Parse-RecDescent
%define upstream_version 1.967013

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    1

Summary:    A recursive descent parser generator for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.570.200
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced) >= 1.950.0
BuildRequires: perl-devel
BuildArch:  noarch

%description
The Parse::RecDescent perl module is used to generate recursive descent
parsers from powerful grammar specifications.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -p -i -e 's|#!.*/usr/local/bin/perl|#!/usr/bin/perl|' `find . -name '*.pl'`
find -type f | xargs chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

# now in perl
rm -f %{buildroot}%{_mandir}/*/Text*

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{perl_vendorlib}/Parse
%{_mandir}/*/*

%changelog

* Sun Dec 27 2015 Denis Silakov <dsilakov@gmail.com> 1.967.13-1
- (ff451e4) Updated to 1.967013 (by updates_builder)


